Bug 98057 - [update] Update net/tsclient to .148 and take maintainer
Summary: [update] Update net/tsclient to .148 and take maintainer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-28 17:30 UTC by Tim Welch
Modified: 2006-05-29 22:55 UTC (History)
0 users

See Also:


Attachments
tsclient.diff (5.93 KB, patch)
2006-05-28 17:30 UTC, Tim Welch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Welch 2006-05-28 17:30:16 UTC
	- Update to latest stable (0.148)
	- Remove patch-src_connect.c (no longer needed)
	- Adopt this port
Comment 1 Pav Lucistnik freebsd_committer 2006-05-28 17:39:20 UTC
Tim Welch p=ED=B9e v ne 28. 05. 2006 v 11:28 -0500:

> +@dirrmtry share/locale/ar/LC_MESSAGES
> +@dirrmtry share/locale/ar
> +@dirrmtry share/locale/ca/LC_MESSAGES
> +@dirrmtry share/locale/ca
> +@dirrmtry share/locale/cs/LC_MESSAGES
> +@dirrmtry share/locale/cs
> +@dirrmtry share/locale/da/LC_MESSAGES
> +@dirrmtry share/locale/da
> +@dirrmtry share/locale/de/LC_MESSAGES
> +@dirrmtry share/locale/de
> +@dirrmtry share/locale/el/LC_MESSAGES
> +@dirrmtry share/locale/el
> +@dirrmtry share/locale/es/LC_MESSAGES
> +@dirrmtry share/locale/es
> +@dirrmtry share/locale/fi/LC_MESSAGES
> +@dirrmtry share/locale/fi
> +@dirrmtry share/locale/fr/LC_MESSAGES
> +@dirrmtry share/locale/fr
>  @dirrmtry share/locale/gr/LC_MESSAGES
>  @dirrmtry share/locale/gr
> +@dirrmtry share/locale/hu/LC_MESSAGES
> +@dirrmtry share/locale/hu
> +@dirrmtry share/locale/id/LC_MESSAGES
> +@dirrmtry share/locale/id
> +@dirrmtry share/locale/it/LC_MESSAGES
> +@dirrmtry share/locale/it
> +@dirrmtry share/locale/ja/LC_MESSAGES
> +@dirrmtry share/locale/ja
> +@dirrmtry share/locale/mk/LC_MESSAGES
> +@dirrmtry share/locale/mk
> +@dirrmtry share/locale/ms/LC_MESSAGES
> +@dirrmtry share/locale/ms
> +@dirrmtry share/locale/nb/LC_MESSAGES
> +@dirrmtry share/locale/nl
> +@dirrmtry share/locale/pa/LC_MESSAGES
> +@dirrmtry share/locale/pa
> +@dirrmtry share/locale/pl_PL/LC_MESSAGES
> +@dirrmtry share/locale/pl_PL
> +@dirrmtry share/locale/pt_BR/LC_MESSAGES
> +@dirrmtry share/locale/pt_BR
> +@dirrmtry share/locale/pt_PT/LC_MESSAGES
> +@dirrmtry share/locale/pt_PT
> +@dirrmtry share/locale/ru/LC_MESSAGES
> +@dirrmtry share/locale/ru
> +@dirrmtry share/locale/se/LC_MESSAGES
> +@dirrmtry share/locale/se
> +@dirrmtry share/locale/tr/LC_MESSAGES
> +@dirrmtry share/locale/tr
> +@dirrmtry share/locale/xh/LC_MESSAGES
> +@dirrmtry share/locale/xh
> +@dirrmtry share/locale/zh_CN/LC_MESSAGES
> +@dirrmtry share/locale/zh_CN
> +@dirrmtry share/locale/zh_TW/LC_MESSAGES
> +@dirrmtry share/locale/zh_TW

This is not correct.  Note that majority of these directories is handled
from mtree.

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

See file. Click file. Get file.
Comment 2 Tim Welch 2006-05-28 18:19:21 UTC
Sorry. 

diff -ruN tsclient.orig/Makefile tsclient/Makefile
--- tsclient.orig/Makefile	Sun May 28 12:07:14 2006
+++ tsclient/Makefile	Sun May 28 10:24:46 2006
@@ -2,16 +2,15 @@
 # Date created:				01 Mar 2003
 # Whom:					Koop Mast <einekoai@chello.nl>
 #
-# $FreeBSD: /repoman/r/pcvs/ports/net/tsclient/Makefile,v 1.23 2006/05/11 22:49:28 edwin Exp $
+# $FreeBSD: ports/net/tsclient/Makefile,v 1.23 2006/05/11 22:49:28 edwin Exp $
 #
 
 PORTNAME=	tsclient
-PORTVERSION=	0.140
-PORTREVISION=	2
+PORTVERSION=	0.148
 CATEGORIES=	net gnome
 MASTER_SITES=	http://www.gnomepro.com/tsclient/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	ports@thepentagon.org
 COMMENT=	A GNOME 2 frontend for rdesktop and vncviewer
 
 RUN_DEPENDS=	rdesktop:${PORTSDIR}/net/rdesktop
diff -ruN tsclient.orig/distinfo tsclient/distinfo
--- tsclient.orig/distinfo	Sun May 28 12:07:27 2006
+++ tsclient/distinfo	Sun May 28 10:25:05 2006
@@ -1,3 +1,3 @@
-MD5 (tsclient-0.140.tar.gz) = c10a5a151a1ece653f62e07b11228534
-SHA256 (tsclient-0.140.tar.gz) = 4a94b68885e101dda429493caff18b5254c1240aafdb98a74ea0d775dd83b713
-SIZE (tsclient-0.140.tar.gz) = 404231
+MD5 (tsclient-0.148.tar.gz) = 06a6ff59b7c8ca26d4ea37340ed77423
+SHA256 (tsclient-0.148.tar.gz) = 8d045530a5f1dd38e809162047a5806ad38c2e2d5d685d5b90b965780b4ffca6
+SIZE (tsclient-0.148.tar.gz) = 490745
diff -ruN tsclient.orig/files/patch-src_connect.c tsclient/files/patch-src_connect.c
--- tsclient.orig/files/patch-src_connect.c	Sun May 28 12:08:39 2006
+++ tsclient/files/patch-src_connect.c	Wed Dec 31 18:00:00 1969
@@ -1,20 +0,0 @@
---- src/connect.c.orig	Mon May  1 03:33:13 2006
-+++ src/connect.c	Mon May  1 03:33:26 2006
-@@ -1288,7 +1288,7 @@ on_btnConnect_clicked                  (
-   GtkWidget *main_window;
-   rdp_file *rdp = NULL;
-   gchar *home = tsc_home_path ();
--  gchar *filename = g_build_path ("/", home, "last.tsc");
-+  gchar *filename = g_build_path ("/", home, "last.tsc", NULL);
- 
-   #ifdef TSCLIENT_DEBUG
-   printf ("on_btnConnect_clicked\n");
-@@ -1325,7 +1325,7 @@ on_btnQuit_clicked                     (
-   GtkWidget *main_window;
-   rdp_file *rdp_last = NULL;
-   gchar *home = tsc_home_path ();
--  gchar *filename = g_build_path ("/", home, "last.tsc");
-+  gchar *filename = g_build_path ("/", home, "last.tsc", NULL);
- 
-   #ifdef TSCLIENT_DEBUG
-   printf ("on_btnQuit_clicked\n");
diff -ruN tsclient.orig/pkg-plist tsclient/pkg-plist
--- tsclient.orig/pkg-plist	Sun May 28 12:07:54 2006
+++ tsclient/pkg-plist	Sun May 28 12:17:14 2006
@@ -13,7 +13,9 @@
 share/gnome/pixmaps/tsclient/banner-ja.png
 share/gnome/pixmaps/tsclient/banner-ms.png
 share/gnome/pixmaps/tsclient/banner-nl.png
+share/gnome/pixmaps/tsclient/banner-pa.png
 share/gnome/pixmaps/tsclient/banner-ru.png
+share/gnome/pixmaps/tsclient/banner-sv.png
 share/gnome/pixmaps/tsclient/banner-zh-cn.png
 share/gnome/pixmaps/tsclient/banner-zh-tw.png
 share/gnome/pixmaps/tsclient/colors.png
@@ -26,8 +28,10 @@
 share/gnome/pixmaps/tsclient/tsclient.png
 share/locale/ar/LC_MESSAGES/tsclient.mo
 share/locale/ca/LC_MESSAGES/tsclient.mo
+share/locale/cs/LC_MESSAGES/tsclient.mo
 share/locale/da/LC_MESSAGES/tsclient.mo
 share/locale/de/LC_MESSAGES/tsclient.mo
+share/locale/el/LC_MESSAGES/tsclient.mo
 share/locale/es/LC_MESSAGES/tsclient.mo
 share/locale/fi/LC_MESSAGES/tsclient.mo
 share/locale/fr/LC_MESSAGES/tsclient.mo
@@ -36,27 +40,28 @@
 share/locale/id/LC_MESSAGES/tsclient.mo
 share/locale/it/LC_MESSAGES/tsclient.mo
 share/locale/ja/LC_MESSAGES/tsclient.mo
+share/locale/mk/LC_MESSAGES/tsclient.mo
 share/locale/ms/LC_MESSAGES/tsclient.mo
+share/locale/nb/LC_MESSAGES/tsclient.mo
 share/locale/nl_NL/LC_MESSAGES/tsclient.mo
-share/locale/no_nb/LC_MESSAGES/tsclient.mo
+share/locale/pa/LC_MESSAGES/tsclient.mo
 share/locale/pl_PL/LC_MESSAGES/tsclient.mo
 share/locale/pt_BR/LC_MESSAGES/tsclient.mo
 share/locale/pt_PT/LC_MESSAGES/tsclient.mo
 share/locale/ru/LC_MESSAGES/tsclient.mo
 share/locale/se/LC_MESSAGES/tsclient.mo
+share/locale/tr/LC_MESSAGES/tsclient.mo
 share/locale/xh/LC_MESSAGES/tsclient.mo
 share/locale/zh_CN/LC_MESSAGES/tsclient.mo
 share/locale/zh_TW/LC_MESSAGES/tsclient.mo
-@dirrmtry share/locale/xh/LC_MESSAGES
-@dirrmtry share/locale/xh
-@dirrmtry share/locale/se/LC_MESSAGES
-@dirrmtry share/locale/se
-@dirrmtry share/locale/pl_PL/LC_MESSAGES
-@dirrmtry share/locale/pl_PL
-@dirrmtry share/locale/no_nb/LC_MESSAGES
-@dirrmtry share/locale/no_nb
-@dirrmtry share/locale/nl_NL/LC_MESSAGES
-@dirrmtry share/locale/nl_NL
 @dirrmtry share/locale/gr/LC_MESSAGES
 @dirrmtry share/locale/gr
+@dirrmtry share/locale/nl_NL/LC_MESSAGES
+@dirrmtry share/locale/nl_NL
+@dirrmtry share/locale/pl_PL/LC_MESSAGES
+@dirrmtry share/locale/pl_PL
+@dirrmtry share/locale/se/LC_MESSAGES
+@dirrmtry share/locale/se
+@dirrmtry share/locale/xh/LC_MESSAGES
+@dirrmtry share/locale/xh
 @dirrm share/gnome/pixmaps/tsclient
Comment 3 Pav Lucistnik freebsd_committer 2006-05-29 22:55:48 UTC
State Changed
From-To: open->closed

Committed, thanks!